﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls.ChartView;
using Telerik.Charting;

namespace wpf_ChartView_826176
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            var h1 = new HyperlinkInfo { Name = "telerik", Link = "http://www.telerik.com/" };
            var h2 = new HyperlinkInfo { Name = "microsoft", Link = "http://msdn.microsoft.com/en-US/" };

            var barSeries = (BarSeries)this.chart1.Series[0];

            barSeries.DataPoints.Add(new CategoricalDataPoint { Category = h1, Value = 13 });
            barSeries.DataPoints.Add(new CategoricalDataPoint { Category = h2, Value = 11 });
        }

        private void SeriesLabelButton_Click(object sender, RoutedEventArgs e)
        {
            var button = (Button)sender;
            var dataPoint = (CategoricalDataPoint)button.DataContext;
            var hInfo = (HyperlinkInfo)dataPoint.Category;

            MessageBox.Show("Handle navigation to " + hInfo.Link);
        }

        private void AxisLabelButton_Click(object sender, RoutedEventArgs e)
        {
            var button = (Button)sender;
            var hInfo = (HyperlinkInfo)button.DataContext;

            MessageBox.Show("Handle navigation to " + hInfo.Link);
        }
    }

    public class HyperlinkInfo
    {
        public string Name { get; set; }
        public string Link { get; set; }
    }
}
